Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709952 - app-misc/trash-cli-0.17.1.14_p20170816 - QA notice - DISTUTILS_USE_SETUPTOOLS value is probably incorrect
Summary: app-misc/trash-cli-0.17.1.14_p20170816 - QA notice - DISTUTILS_USE_SETUPTOOLS...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zoltan Puskas
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2020-02-17 16:02 UTC by Francesco Turco
Modified: 2020-04-05 07:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info app-misc/trash-cli (info.txt,6.55 KB, text/plain)
2020-02-17 16:03 UTC, Francesco Turco
Details
build log (build.log,52.14 KB, text/plain)
2020-02-17 16:03 UTC, Francesco Turco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Turco 2020-02-17 16:02:47 UTC
Portage reports the following warning message when emerging app-misc/trash-cli:

> * DISTUTILS_USE_SETUPTOOLS value is probably incorrect
> *   value:    DISTUTILS_USE_SETUPTOOLS=bdepend (default?)
> *   expected: DISTUTILS_USE_SETUPTOOLS=no
Comment 1 Francesco Turco 2020-02-17 16:03:30 UTC
Created attachment 614108 [details]
emerge --info app-misc/trash-cli
Comment 2 Francesco Turco 2020-02-17 16:03:55 UTC
Created attachment 614110 [details]
build log
Comment 3 Larry the Git Cow gentoo-dev 2020-04-05 07:18:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=132ac56787eafa08d11dd45432493f91ce44d1fa

commit 132ac56787eafa08d11dd45432493f91ce44d1fa
Author:     Zoltan Puskas <zoltan@sinustrom.info>
AuthorDate: 2020-03-29 23:40:05 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-04-05 07:17:56 +0000

    app-misc/trash-cli: Fix DISTUTILS_USE_SETUPTOOLS QA notice
    
    Also update to EAPI7, drop Python2 support, enable Python3.{7,8}
    
    Closes: https://bugs.gentoo.org/709952
    
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info>
    Closes: https://github.com/gentoo/gentoo/pull/15165
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../trash-cli-0.17.1.14_p20170816-r1.ebuild        | 30 ++++++++++++++++++++++
 1 file changed, 30 insertions(+)